Bug 887904 - [rhevm-upgrade] during upgrade rhev-guest-tools-iso is not updated to latest version and remains with old version
[rhevm-upgrade] during upgrade rhev-guest-tools-iso is not updated to latest ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity high
: ---
: 3.1.2
Assigned To: Moran Goldboim
Pavel Stehlik
integration
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-17 10:15 EST by Idith Tal-Kohen
Modified: 2013-11-27 18:56 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, during an upgrade from RHEV 3.0 to RHEV 3.1, all packages except rhev-guest-tools-iso-3.1-9.noarch got updated and installed. Now rhev-guest-tools-iso-3.1-9.noarch is also updated during an upgrade from RHEV 3.0 to RHEV 3.1.
Story Points: ---
Clone Of: 880773
Environment:
Last Closed: 2013-02-04 18:35:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Idith Tal-Kohen 2012-12-17 10:15:37 EST
+++ This bug was initially created as a clone of Bug #880773 +++

Description of problem:

during upgrade from 3.0 to 3.1, all packages except rhev-guest-tools-iso-3.1-9.noarch get updated and installed.

please change spec file or make sure to require this package during rhevm-upgrade.

--- Additional comment from Haim on 2012-11-27 14:09:39 EST ---

2012-11-26 10:13:05::DEBUG::rhevm-upgrade::372::root:: Yum list updates started
2012-11-26 10:13:05::DEBUG::rhevm-upgrade::376::root:: Getting list of packages to upgrade
2012-11-26 10:13:06::DEBUG::rhevm-upgrade::383::root:: 12 Packages marked for update:
2012-11-26 10:13:06::DEBUG::rhevm-upgrade::384::root:: ['rhevm-3.1.0-31.el6ev.noarch', 'rhevm-backend-3.1.0-31.el6ev.noarch', 'rhevm-config-3.1.0-31.el6ev.noarch', 'rhevm-dbscripts-3.1.0-31.el6ev.noarch', 'rhevm-g
enericapi-3.1.0-31.el6ev.noarch', 'rhevm-iso-uploader-3.1.0-8.el6ev.noarch', 'rhevm-log-collector-3.1.0-9.el6ev.noarch', 'rhevm-notification-service-3.1.0-31.el6ev.noarch', 'rhevm-restapi-3.1.0-31.el6ev.noarch', '
rhevm-tools-common-3.1.0-31.el6ev.noarch', 'rhevm-userportal-3.1.0-31.el6ev.noarch', 'rhevm-webadmin-portal-3.1.0-31.el6ev.noarch']
2012-11-26 10:13:06::DEBUG::rhevm-upgrade::390::root:: Installed packages:
2012-11-26 10:13:06::DEBUG::rhevm-upgrade::391::root:: ['rhevm-3.0.7_0001-2.el6_3.x86_64', 'rhevm-backend-3.0.7_0001-2.el6_3.x86_64', 'rhevm-config-3.0.7_0001-2.el6_3.x86_64', 'rhevm-dbscripts-3.0.7_0001-2.el6_3.x
86_64', 'rhevm-genericapi-3.0.7_0001-2.el6_3.x86_64', 'rhevm-iso-uploader-3.0.7_0001-2.el6_3.x86_64', 'rhevm-log-collector-3.0.7_0001-2.el6_3.x86_64', 'rhevm-notification-service-3.0.7_0001-2.el6_3.x86_64', 'rhevm
-restapi-3.0.7_0001-2.el6_3.x86_64', 'rhevm-setup-3.1.0-31.el6ev.noarch', 'rhevm-tools-common-3.0.7_0001-2.el6_3.x86_64', 'rhevm-userportal-3.0.7_0001-2.el6_3.x86_64', 'rhevm-webadmin-portal-3.0.7_0001-2.el6_3.x86
_64', 'vdsm-bootstrap-4.9.6-44.0.el6_3.noarch']
2012-11-26 10:13:06::DEBUG::rhevm-upgrade::393::root:: Yum list updated completed successfully
2012-11-26 10:13:06::DEBUG::rhevm-upgrade::434::root:: Yum rollback-avail started
2012-11-26 10:13:07::DEBUG::rhevm-upgrade::440::root:: 99 Packages available in yum:
2012-11-26 10:13:07::DEBUG::rhevm-upgrade::441::root:: ['rhevm-3.0.0_0001-62.el6.x86_64', 'rhevm-3.0.1_0001-4.el6.x86_64', 'rhevm-3.0.2_0001-2.el6.x86_64', 'rhevm-3.0.3_0001-3.el6.x86_64', 'rhevm-3.0.5_0001-5.el6_
3.x86_64', 'rhevm-3.0.7_0001-2.el6_3.x86_64', 'rhevm-3.1.0-31.el6ev.noarch', 'rhevm-backend-3.0.0_0001-62.el6.x86_64', 'rhevm-backend-3.0.1_0001-4.el6.x86_64', 'rhevm-backend-3.0.2_0001-2.el6.x86_64', 'rhevm-backe
nd-3.0.3_0001-3.el6.x86_64', 'rhevm-backend-3.0.5_0001-5.el6_3.x86_64', 'rhevm-backend-3.0.7_0001-2.el6_3.x86_64', 'rhevm-backend-3.1.0-31.el6ev.noarch', 'rhevm-config-3.0.0_0001-62.el6.x86_64', 'rhevm-config-3.0.
1_0001-4.el6.x86_64', 'rhevm-config-3.0.2_0001-2.el6.x86_64', 'rhevm-config-3.0.3_0001-3.el6.x86_64', 'rhevm-config-3.0.5_0001-5.el6_3.x86_64', 'rhevm-config-3.0.7_0001-2.el6_3.x86_64', 'rhevm-config-3.1.0-31.el6e
v.noarch', 'rhevm-dbscripts-3.0.0_0001-62.el6.x86_64', 'rhevm-dbscripts-3.0.1_0001-4.el6.x86_64', 'rhevm-dbscripts-3.0.2_0001-2.el6.x86_64', 'rhevm-dbscripts-3.0.3_0001-3.el6.x86_64', 'rhevm-dbscripts-3.0.5_0001-5
.el6_3.x86_64', 'rhevm-dbscripts-3.0.7_0001-2.el6_3.x86_64', 'rhevm-dbscripts-3.1.0-31.el6ev.noarch', 'rhevm-genericapi-3.0.0_0001-62.el6.x86_64', 'rhevm-genericapi-3.0.1_0001-4.el6.x86_64', 'rhevm-genericapi-3.0.
2_0001-2.el6.x86_64', 'rhevm-genericapi-3.0.3_0001-3.el6.x86_64', 'rhevm-genericapi-3.0.5_0001-5.el6_3.x86_64', 'rhevm-genericapi-3.0.7_0001-2.el6_3.x86_64', 'rhevm-genericapi-3.1.0-31.el6ev.noarch', 'rhevm-image-
uploader-3.0.4-0.el6_2.noarch', 'rhevm-image-uploader-3.1.0-7.el6ev.noarch', 'rhevm-iso-uploader-3.0.0_0001-62.el6.x86_64', 'rhevm-iso-uploader-3.0.1_0001-4.el6.x86_64', 'rhevm-iso-uploader-3.0.2_0001-2.el6.x86_64
', 'rhevm-iso-uploader-3.0.3_0001-3.el6.x86_64', 'rhevm-iso-uploader-3.0.5_0001-5.el6_3.x86_64', 'rhevm-iso-uploader-3.0.7_0001-2.el6_3.x86_64', 'rhevm-iso-uploader-3.1.0-8.el6ev.noarch', 'rhevm-log-collector-3.0.
0_0001-62.el6.x86_64', 'rhevm-log-collector-3.0.1_0001-4.el6.x86_64', 'rhevm-log-collector-3.0.2_0001-2.el6.x86_64', 'rhevm-log-collector-3.0.3_0001-3.el6.x86_64', 'rhevm-log-collector-3.0.5_0001-5.el6_3.x86_64', 
'rhevm-log-collector-3.0.7_0001-2.el6_3.x86_64', 'rhevm-log-collector-3.1.0-9.el6ev.noarch', 'rhevm-notification-service-3.0.0_0001-62.el6.x86_64', 'rhevm-notification-service-3.0.1_0001-4.el6.x86_64', 'rhevm-noti
fication-service-3.0.2_0001-2.el6.x86_64', 'rhevm-notification-service-3.0.3_0001-3.el6.x86_64', 'rhevm-notification-service-3.0.5_0001-5.el6_3.x86_64', 'rhevm-notification-service-3.0.7_0001-2.el6_3.x86_64', 'rhe
vm-notification-service-3.1.0-31.el6ev.noarch', 'rhevm-restapi-3.0.0_0001-62.el6.x86_64', 'rhevm-restapi-3.0.1_0001-4.el6.x86_64', 'rhevm-restapi-3.0.2_0001-2.el6.x86_64', 'rhevm-restapi-3.0.3_0001-3.el6.x86_64', 
'rhevm-restapi-3.0.5_0001-5.el6_3.x86_64', 'rhevm-restapi-3.0.7_0001-2.el6_3.x86_64', 'rhevm-restapi-3.1.0-31.el6ev.noarch', 'rhevm-setup-3.0.0_0001-62.el6.x86_64', 'rhevm-setup-3.0.1_0001-4.el6.x86_64', 'rhevm-se
tup-3.0.2_0001-2.el6.x86_64', 'rhevm-setup-3.0.3_0001-3.el6.x86_64', 'rhevm-setup-3.0.5_0001-5.el6_3.x86_64', 'rhevm-setup-3.0.7_0001-2.el6_3.x86_64', 'rhevm-setup-3.1.0-31.el6ev.noarch', 'rhevm-tools-common-3.0.0
_0001-62.el6.x86_64', 'rhevm-tools-common-3.0.1_0001-4.el6.x86_64', 'rhevm-tools-common-3.0.2_0001-2.el6.x86_64', 'rhevm-tools-common-3.0.3_0001-3.el6.x86_64', 'rhevm-tools-common-3.0.5_0001-5.el6_3.x86_64', 'rhev
m-tools-common-3.0.7_0001-2.el6_3.x86_64', 'rhevm-tools-common-3.1.0-31.el6ev.noarch', 'rhevm-userportal-3.0.0_0001-62.el6.x86_64', 'rhevm-userportal-3.0.1_0001-4.el6.x86_64', 'rhevm-userportal-3.0.2_0001-2.el6.x8
6_64', 'rhevm-userportal-3.0.3_0001-3.el6.x86_64', 'rhevm-userportal-3.0.5_0001-5.el6_3.x86_64', 'rhevm-userportal-3.0.7_0001-2.el6_3.x86_64', 'rhevm-userportal-3.1.0-31.el6ev.noarch', 'rhevm-webadmin-portal-3.0.0
_0001-62.el6.x86_64', 'rhevm-webadmin-portal-3.0.1_0001-4.el6.x86_64', 'rhevm-webadmin-portal-3.0.2_0001-2.el6.x86_64', 'rhevm-webadmin-portal-3.0.3_0001-3.el6.x86_64', 'rhevm-webadmin-portal-3.0.5_0001-5.el6_3.x8
6_64', 'rhevm-webadmin-portal-3.0.7_0001-2.el6_3.x86_64', 'rhevm-webadmin-portal-3.1.0-31.el6ev.noarch', 'vdsm-bootstrap-4.9-112.el6.x86_64', 'vdsm-bootstrap-4.9-112.1.el6.x86_64', 'vdsm-bootstrap-4.9-112.4.el6_2.
x86_64', 'vdsm-bootstrap-4.9-112.6.el6_2.x86_64', 'vdsm-bootstrap-4.9-113.1.el6.x86_64', 'vdsm-bootstrap-4.9.6-44.0.el6_3.noarch']

--- Additional comment from Alex Lourie on 2012-12-03 07:09:28 EST ---

Fix uploaded for review: https://gerrit.eng.lab.tlv.redhat.com/#/c/3563/
Comment 4 errata-xmlrpc 2013-02-04 18:35:39 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0211.html

Note You need to log in before you can comment on or make changes to this bug.